#!/bin/sh
# \
exec tclsh "$0" "$@"

set input [lindex $argv 0]
set output [lindex $argv 1]

# Center of first barrier
set start  -0.008
# Spacing of barrier centers
set spacing 0.001
# Width of barrier
set width   0.00075
# Offset of all centers
set off 0.0

# Compose a list of sddsprocess options
set optList ""
for {set i 0} {$i<15} {incr i} {
    set WL [expr $start+$i*$spacing-$width/2.+$off]
    set WU [expr $start+$i*$spacing+$width/2.+$off]
    # Exclude particles with x between WL and WU
    lappend optList -filter=column,x,$WL,$WU,!
}

# Filter the beam
eval exec sddsprocess $input $output $optList

exit      
